Participants
Get Participant
GET
/
api
/
public
/
v1
/
participants
/
{participant_id}
Get Participant
curl --request GET \
--url https://api.userintuition.ai/api/public/v1/participants/{participant_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.userintuition.ai/api/public/v1/participants/{participant_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.userintuition.ai/api/public/v1/participants/{participant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"study_id": "<string>",
"email": "<string>",
"reward_sent": true,
"reward_sent_at": "2023-11-07T05:31:56Z",
"invite_sent_at": "2023-11-07T05:31:56Z",
"invite_created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Path Parameters
Response
Successful Response
A participant invited directly by the customer (BYOP).
Panel recruiting is represented by the panel endpoints, not by synthetic participant records on this resource.
The study this participant belongs to
When this participant's invitation email was sent
When this participant invitation was created
Was this page helpful?
⌘I
Get Participant

